<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Panel de Pacientes con ECNT</title>
    <link href="https://fonts.googleapis.com/css?family=Poppins:100,200,300" rel="stylesheet" />
    <link rel="stylesheet" href="static/css/style_2.css">
    <script src="/static/js/dashboard_chronicles.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.9.0/chart.min.js"></script>
    <title>>Panel de Pacientes con ECNT</title>
</head>

<body>
    <main>
    
        <div class="loading-message">Procesando los Datos.....</div>


        <h1>CAPS Humberto D'Angelo - PACIENTES CON ECNT</h1>
        <p>Visualización de estadísticas globales</p>
        
        <!--<hr>
        <div class="filter">
        <label for="fecha1">Desde:</label>
        <input type="date" id="fecha1" name="fecha1">
        <label for="fecha2">Hasta:</label>
        <input type="date" id="fecha2" name="fecha2">
        <button onclick="Update()" type="submit">Aplicar filtro</button>
        </div>
        <hr>
        -->
        <section class="cols-1">
            <figure>
                <h3>Pacientes con ECNT por Grupos Etarios</h3>
                <div id="canva1">
                    <canvas id="PatientECNTByAgeGroupsBySex"></canvas>
                </div>
            </figure>
        </section>
        
        <section class="cols-1">
            <figure>
                <h3>Patologias de Pacientes con ECNT</h3>
                <div id="canva2">
                    <canvas id="PatientECNTPathologies"></canvas>
                </div>
            </figure>
        </section>
        
        <section class="cols-3">
            <figure>
                <h3>Pacientes con ECNT (Total)</h3>
                <h1 id="ecnt_total"> - </h1>
            </figure>
            <figure>
                <h3>Masculinos con ECNT (Total)</h3>
                <h1 id="ecnt_m_total"> - </h1>
            </figure>
            <figure>
                <h3>Femeninas con ECNT (Total)</h3>
                <h1 id="ecnt_f_total"> - </h1>
            </figure>
        </section>
        
        <section class="cols-2">
            <figure>
                <h3>Pacientes con ECNT por Sexo</h3>
                <div id="canva3">
                    <canvas id="PatientECNTBySex"></canvas>
                </div>
            </figure>
            
            <figure>
                <h3>Pacientes con ECNT por Obra Social</h3>
                <div id="canva4">
                    <canvas id="PatientECNTByInsurance"></canvas>
                </div>
            </figure>
        </section>
        
        <section class="cols-1">
            <figure>
                <h3>Ultima visita de Pacientes con ECNT</h3>
                <div id="canva5">
                    <canvas id="PatientECNTByLastAppointmentBySex"></canvas>
                </div>
            </figure>
        </section>
        
        <section class="cols-2">
            <figure>
                <h3>Ultima visita menor a 6 meses</h3>
                <h1 id="last_visit_6_months"> - </h1>
            </figure>
            <figure>
                <h3>% respecto total de pacientes ECNT</h3>
                <h1 id="%_last_visit_6_months"> - </h1>
            </figure>
            <figure>
                <h3>Ultima visita menor a 1 año</h3>
                <h1 id="last_visit_1_year"> - </h1>
            </figure>
            <figure>
                <h3>% respecto total de pacientes ECNT</h3>
                <h1 id="%_last_visit_1_year"> - </h1>
            </figure>
        </section>


    </main>
    
    <footer class="footer"> 
        <p>Desarrollado por el GESPyTA de la FI-UNER para uso en GNUHealth - v1.0 (2023) - copyleft<p>
        <a href="http://ingenieria.uner.edu.ar/grupos/salud_publica/" target="_blank" class="a">¿Quienes somos?</a>
        <a href="https://gitlab.com/gnuhealth_fiuner" target="_blank" class="a">Nuestro Repositorio</a>
        <a href="mailto=saludpublica@ingenieria.uner.edu.ar" target="_blank" class="a">Contacto</a>
    </footer>

   
<script >

 var data_1 = JSON.parse('{{ data | tojson}}');
            
PatientECNTByAgeGroupsBySex(data_1, 'PatientECNTByAgeGroupsBySex');
PatientECNTBySex(data_1, 'PatientECNTBySex');
PatientECNTByInsurance(data_1, 'PatientECNTByInsurance');
PatientECNTByLastAppointmentBySex(data_1,'PatientECNTByLastAppointmentBySex');
TotalECNT(data_1);
MTotalECNT(data_1);
FTotalECNT(data_1);
LastVisit6Months(data_1);
LastVisit1Year(data_1);
PercentLastVisit6Months(data_1);
PercentLastVisit1Year(data_1);
PatientECNTPathologies(data_1, 'PatientECNTPathologies');
TotalECNTPercent(data_1);



</script>

</body>

</html>
